package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfStatPeriodData对象 wf_stat_period_data
 *
 * @author hlf
 * @date 2021-07-07
 */
public class WfStatPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Date dataTime;

    private Double p1;

    private Double p2;

    private Double p0;

    private Double avgWindSpeed;

    private Double avgTemp;

    private Double energy;

    private Long dataFlag;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setP1(Double p1) {
        this.p1 = p1;
    }

    public Double getP1() {
        return p1;
    }

    public void setP2(Double p2) {
        this.p2 = p2;
    }

    public Double getP2() {
        return p2;
    }

    public void setP0(Double p0) {
        this.p0 = p0;
    }

    public Double getP0() {
        return p0;
    }

    public void setAvgWindSpeed(Double avgWindSpeed) {
        this.avgWindSpeed = avgWindSpeed;
    }

    public Double getAvgWindSpeed() {
        return avgWindSpeed;
    }

    public void setAvgTemp(Double avgTemp) {
        this.avgTemp = avgTemp;
    }

    public Double getAvgTemp() {
        return avgTemp;
    }

    public void setEnergy(Double energy) {
        this.energy = energy;
    }

    public Double getEnergy() {
        return energy;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("dataTime", getDataTime())
                .append("p1", getP1())
                .append("p2", getP2())
                .append("p0", getP0())
                .append("avgWindSpeed", getAvgWindSpeed())
                .append("avgTemp", getAvgTemp())
                .append("energy", getEnergy())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
